Bug 6630 - FRT_SOMA triggers on german company "SÖMA Schlafsysteme"
Summary: FRT_SOMA triggers on german company "SÖMA Schlafsysteme"
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: Score Generation (show other bugs)
Version: unspecified
Hardware: PC Linux
: P2 normal
Target Milestone: Undefined
Assignee: SpamAssassin Developer Mailing List
Depends on:
Reported: 2011-07-04 23:51 UTC by Bernd Schubert
Modified: 2017-12-28 16:34 UTC (History)
2 users (show)

Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Schubert 2011-07-04 23:51:15 UTC
I'm presently about to buy a new bed and before getting an offer from "SÖMA Schlafsysteme" they already warned me their mail might go into my spam folder. Indeed, one of their mails had score of 3.6 and the other of 5.6.
Getting curious what might be the cause, I noticed BAD_ENC_HEADER, which is their fault, as the subject has white space in the encoding. Will tell them about that.
The other main issue is that spamassin recognizes their company name 'SÖMA' and probably also their city 'Sömmerda' as FRT_SOMA. Is there a way to make exceptions? For example to put them by default into a white list?

Below is the complete header:

Return-Path: <shop@soematex.de>
Received: from compute4.internal (compute4.nyi.mail.srv.osa [])
	 by slots5b2p4 (Cyrus git2.5+0-git-fastmail-6840) with LMTPA;
	 Mon, 06 Jun 2011 04:11:32 -0400
X-Sieve: CMU Sieve 2.4
Subject: {SPAM 03.6} Ihre Anfrage
X-Spam: spam
X-Spam-score: 3.6
X-Spam-hits: BAYES_50 0.8, FRT_SOMA 2.871, FRT_SOMA2 0.001, BAYES_USED global,
  SA_VERSION 3.3.1
X-Spam-source: IP='', Host='p54b864bb.dip.t-dialin.net', Country='DE',
  FromHeader='de', MailFrom='de'
X-Spam-charsets: plain='ISO-8859-15'
X-Resolved-to: aakef@fastmail.fm
X-Delivered-to: xxxxx.yyyyyyy@fastmail.fm
X-Mail-from: shop@soematex.de
Received: from mx1.messagingengine.com ([])
  by compute4.internal (LMTPProxy); Mon, 06 Jun 2011 04:11:32 -0400
Received: from moutng.kundenserver.de (moutng.kundenserver.de [])
	by mx1.messagingengine.com (Postfix) with ESMTP id 88FD49601AA
	for <bernd.schubert@fastmail.fm>; Mon,  6 Jun 2011 04:11:31 -0400 (EDT)
Received: from eazySales (p54B864BB.dip.t-dialin.net [])
	by mrelayeu.kundenserver.de (node=mrbap2) with ESMTP (Nemesis)
	id 0M8bS7-1Phs1q49WF-00vUvG; Mon, 06 Jun 2011 10:11:30 +0200
Date: Mon, 06 Jun 2011 10:11:30 +0200
From: SÖMA Schlafsysteme <shop@soematex.de>
To: <bernd.schubert@fastmail.fm>
Reply-To: SÖMA Schlafsysteme <shop@soematex.de>
X-Spam-orig-subject: Ihre Anfrage
X-Mailer: <JTL-WAWI Mail>
Content-Type: text/plain; charset=ISO-8859-15
Message-Id: <0M8bS7-1Phs1q49WF-00vUvG@mrelayeu.kundenserver.de>
X-Provags-ID: V02:K0:uuXf+F3JeZz3IxRoQ7/NbK/mRSP7pHDW4lW6mMS9cH/
X-Truedomain-Domain: soematex.de
X-Truedomain-SPF: No Record
X-Truedomain-DKIM: No Signature
X-Truedomain-ID: 9D89AC2CA9EBE64548D94E7CBDE6851C
X-Truedomain: Neutral
Comment 1 Giovanni Bechis 2017-12-28 07:21:37 UTC
FRT_SOMA rules has been disabled in r1763604 (2016-10-06)
Comment 2 Kevin A. McGrail 2017-12-28 16:18:05 UTC
You sure on that revision?  I don't see the diff's matching FRT_SOMA.
Comment 3 Giovanni Bechis 2017-12-28 16:24:58 UTC
Sorry, they have been disabled even before:
$ cat rulesrc/sandbox/emailed/00_FVGT_File001.readme.txt   
# DISABLED ALL RULES  2014-03-31 - AXB

# 2014-01-20 - AXB

removed fixed scores in 50_scores.cf for rules in 00_FVGT_File001.cf
seems these were assigned before ruleqa autopromoted rules.

Testing what gets autopromoted and what should be deprecated.

# 2011-11-07 - AXB

Disabled / Commented out rules which had a hardcoded score of 0 in 50_scores.cf
Also removed those scores from 50_scores.cf

WARNING: Disabled rules would cause FPs due to replacetags incompatibility with newer SA versions.

Comment 4 Kevin A. McGrail 2017-12-28 16:34:38 UTC
Thanks for the clarity.  Closing as resolved.